function hostm.init()
		-- Connect Menu
	gui_load_gss("menu-common")
	gui_load_gss("host-menu")
	local menu = gui_load_xml("host-menu")
	local win = menu:child("host-win")
	local hostBtn = win:child("host")
	local backBtn = win:child("back")
	local mapListw = win:child("maplist")
	mapListw:add_column("Map name", 1)
	win:set_sub_focus(mapListw)

	function hostm.isShown()
		return menu:is_visible()
	end

	function hostm.show()
		if not menu:is_visible() then
			menu:set_visibility(true)
			menu:focus()
		end
		mapListw:clear()
		for m in maps() do
			mapListw:insert(m)
		end
	end

	function hostm.hide()
		menu:set_visibility(false)
	end

	function hostBtn:onAction()
		local map = mapListw:selection()
		if map then
			host(map)
		end
	end

	function backBtn:onAction()
		hostm.hide()
		mainm.show()
	end

	function menu:onKeyDown(k)
		if k == Keys.ESC and map_is_loaded() then
			hostm.hide()
			mainm.show()
			return true
		end
	end

	hostm.hide()

end